Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 603442 (CVE-2016-10029) - <app-emulation/qemu-2.7.0: display: virtio-gpu: out of bounds read in virtio_gpu_set_scanout
Summary: <app-emulation/qemu-2.7.0: display: virtio-gpu: out of bounds read in virtio_...
Status: RESOLVED FIXED
Alias: CVE-2016-10029
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B2 [glsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-22 09:08 UTC by Agostino Sarubbo
Modified: 2017-01-02 10:37 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2016-12-22 09:08:42 UTC
From ${URL} :

Quick Emulator(Qemu) built with the Virtio GPU Device emulator support is
vulnerable to an OOB read issue. It could occur while processing
'VIRTIO_GPU_CMD_SET_SCANOUT:' command.

A guest user/process could use this flaw to crash the Qemu process instance
resulting in Dos.

Upstream patch:
---------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=acfc4846508a02cc4c83aa27799fd7
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=2fe760554eb3769d70f608a158474f

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/12/20/2


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 SpanKY gentoo-dev 2016-12-29 19:51:17 UTC
this is already fixed in qemu-2.7.0 already which is stable
Comment 2 Thomas Deutschmann gentoo-dev Security 2017-01-02 10:32:51 UTC
Added to existing and already published GLSA https://security.gentoo.org/glsa/201611-11
Comment 3 Thomas Deutschmann gentoo-dev Security 2017-01-02 10:37:44 UTC
Updated GLSA now published.